Important: Moodle 3.10.3 and 3.9.6 are released

Hi all,

Following the identification of a regression in Moodle 3.9.5 and 3.10.2, we have now released Moodle 3.9.6 and 3.10.3 with a fix for the issue. 

What was the issue?

A calendar bug fix (MDL-67494) released with Moodle 3.9.5 and 3.10.2 unintentionally corrupted some calendar events during the upgrade process. For more details, please check tracker issue MDL-71156.

How did we resolve the issue?

We have completed the first part of a 2-step approach:
  1. We have reverted MDL-67494 (see MDL-71182) and have now released Moodle 3.9.6 and 3.10.3 which is the version you should upgrade to (skipping 3.9.5 and 3.10.2 if possible).
  2. We are continuing to work on a solution that restores all affected calendar events for sites impacted by this issue. You can follow the progress in MDL-71156

Next steps for Moodle Administrators

  • If you are still on Moodle 3.9.4 or 3.10.1, please avoid upgrading to 3.9.5 or 3.10.2 and upgrade straight to Moodle 3.9.6 or 3.10.3. 
  • If you have already upgraded to one of the affected versions, we apologise for the inconvenience this may have caused. You can upgrade to Moodle 3.9.6 or 3.10.3 and we will provider further information on the resolution to recover any potential lost calendar events (please also follow progress in MDL-71156). 
If you have any questions or concerns, please feel free to post on the tracker issues or in the forum discussion relating to this issue.

Release notes:

Read more https://moodle.org/mod/forum/discuss.php?d=420122